/*
 * Document confidentiel - Diffusion interdite 
 */
package com.evasion.framework.test;

import org.junit.Assert;

/**
 * Tester de Equals � base de <code>instanceof</code>.
 * 
 * Cette impl�mentation teste les equals impl�ment�s avec une comparaison avec
 * le instanceof.<br/>
 * <br/>
 * par ex: <br/>
 * <code>
 * public bollean equals(Object obj) {<br/>
 * 		if (this == obj) {<br/>
 * 			return true;<br/>
 * 		}<br/>
 * <br/></code> <b><code>
 * 		if (!(ojb instanceof MyClass) {<br/></code> </b> <code>
 * 			return false;<br/>
 * 		}<br/>
 * 		....<br/>
 * }
 * </code>
 */
public class EqualsTester extends AbstractEqualsTester {

    /**
     * {@inheritDoc}
     */
    @Override
    protected void assertEqualsSubClass(final Object a, final Object d) {
        Assert.assertTrue(
                "a.equals(d) returned false, equals() is using getClass() comparison ?",
                a.equals(d));
        Assert.assertTrue(
                "d.equals(a) returned false, equals() is using getClass() comparison ?",
                d.equals(a));
    }
}
